org.firebirdsql.gds.ng

## Class OperationMonitor

- java.lang.Object
- - org.firebirdsql.gds.ng.OperationMonitor

    public final class OperationMonitor
    extends java.lang.Object

The statement operation monitor allows monitoring of statement execution and fetching of all statements.

Since:
  4.0
Author:
  Vasiliy Yashkov, Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `initOperationAware(OperationAware operationAware)` Initializes this operation monitor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initOperationAware

    public static void initOperationAware(OperationAware operationAware)

Initializes this operation monitor.

The provided `OperationAware` instance will be notified of operations occurring in the driver.

When a security manager is installed, the existence of the `SQLPermission` with name `"org.firebirdsql.jaybird.initOperationAware"` will be checked.

Parameters:
  `operationAware` - an object that implements the `OperationAware` interface, or `null` to clear the current instance
Throws:
  `java.lang.SecurityException` - If a security manager is installed and the calling code does not have permission `"org.firebirdsql.jaybird.initOperationAware"`